Bug 1420397 - Expose the foreman-tasks pool size via config/installer
Summary: Expose the foreman-tasks pool size via config/installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.4.0
Assignee: Adam Ruzicka
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:48 UTC by Ivan Necas
Modified: 2019-11-05 23:03 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-dynflow-1.0.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:05:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18422 0 Normal Closed Expose the foreman-tasks pool size via config/installer 2020-07-11 04:07:51 UTC
Foreman Issue Tracker 24829 0 Normal Closed Setting pool size for default queue when in rails does not work 2020-07-11 04:07:51 UTC

Description Ivan Necas 2017-02-08 14:48:47 UTC
Currently, we use a pool of 5 workers in the foreman-tasks to handle the incoming requests. At large scale, this might not be enough. For start, we should be
at least able to set the number of works via config file/installer

As a workaround, one would need to edit `pool_size` in initialize method of

  /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-*/lib/foreman_tasks/dynflow/configuration.rb

and after changing the size, restart the foreman-tasks service

Comment 1 Ivan Necas 2017-02-08 14:49:19 UTC
Created redmine issue http://projects.theforeman.org/issues/18422 from this bug

Comment 3 pm-sat@redhat.com 2017-09-21 14:08:50 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 4 pm-sat@redhat.com 2017-09-21 14:08:53 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 5 pm-sat@redhat.com 2017-10-10 00:10:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18422 has been resolved.

Comment 14 Bryan Kearney 2018-10-16 19:05:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.